> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign Off Dose

> Sign off on a dose record.



## OpenAPI

````yaml post /user/patient/doses/{dose_id}/sign-off
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/doses/{dose_id}/sign-off:
    post:
      tags:
        - provider
        - user
        - doses
      summary: Sign Off Dose
      description: Sign off on a dose record.
      operationId: sign_off_dose_user_patient_doses__dose_id__sign_off_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: dose_id
          in: path
          required: true
          schema:
            type: string
            title: Dose Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeprecatedMedicationSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DeprecatedMedicationSummary:
      properties:
        id:
          type: string
          title: Id
        createdDate:
          type: string
          format: date-time
          title: Createddate
        patientId:
          type: string
          title: Patientid
        providerId:
          anyOf:
            - type: string
            - type: 'null'
          title: Providerid
        name:
          type: string
          title: Name
        sideEffects:
          anyOf:
            - type: string
            - type: 'null'
          title: Sideeffects
        administrationLocation:
          anyOf:
            - type: string
            - type: 'null'
          title: Administrationlocation
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
        unit:
          anyOf:
            - $ref: '#/components/schemas/Unit'
            - type: 'null'
        lotNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Lotnumber
        stockId:
          anyOf:
            - type: string
            - type: 'null'
          title: Stockid
        noteId:
          anyOf:
            - type: string
            - type: 'null'
          title: Noteid
        doseDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Dosedate
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
        frequency:
          anyOf:
            - type: string
            - type: 'null'
          title: Frequency
        quantity:
          anyOf:
            - type: number
            - type: 'null'
          title: Quantity
        isUsedAsTemplate:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isusedastemplate
        signedOffProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Signedoffproviderid
        signedOffDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Signedoffdate
        provider:
          anyOf:
            - $ref: '#/components/schemas/UserTiny'
            - type: 'null'
      type: object
      required:
        - id
        - createdDate
        - patientId
        - name
      title: DeprecatedMedicationSummary
      description: |-
        DEPRECATED: Use DoseSummary for administration records.
        This schema is kept for backward compatibility.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Unit:
      type: string
      enum:
        - AMPOULES
        - APPLICATORS
        - BOTTLES
        - BOXES
        - CAPSULES
        - CUPS
        - DOSES
        - G_PER_ML
        - GRAMS
        - IU
        - IU_PER_ML
        - OUNCES
        - FLUID_OUNCES
        - KG
        - KITS
        - LITERS
        - MCG
        - MG
        - MG_PER_ML
        - ML
        - MMOL
        - MICROGRAM_PER_ML
        - PACKS
        - PAIRS
        - PATCHES
        - PERCENTAGE
        - PIECES
        - POUCHES
        - ROLLS
        - SACHETS
        - SHEETS
        - SPRAYS
        - STRIPS
        - SYRINGES
        - TABLETS
        - TABLETS_PER_DAY
        - TESTS
        - TUBES
        - UNITS
        - VIALS
        - TREATMENTS
        - SESSIONS
        - PULSES
        - JOULES
        - CENTIMETERS
        - THREAD_COUNT
        - INJECTIONS
        - WRINKLE_UNITS
        - POUNDS
        - FEET
        - INCHES
      title: Unit
    UserTiny:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the user.
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
          description: The user's first name.
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
          description: The user's last name.
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
          description: The user's phone number.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: The user's email address.
        type:
          $ref: '#/components/schemas/UserType'
          description: The type of user.
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
          description: The location of the user.
      type: object
      required:
        - id
        - type
      title: UserTiny
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserType:
      type: string
      enum:
        - PROVIDER
        - PATIENT
        - ASSISTANT
      title: UserType

````